W(1)

NAMN
w — Visa vem som är inloggad och vad de gör.

SYNOPSIS
w [flagga …] [användare]

BESKRIVNING
w visar information om de användare som just nu är inloggade på maskinen och deras processer. Rubrikraden visar, i denna ordning, den aktuella tiden, hur länge systemet har kört, hur många användare som för tillfället är inloggade och systemets genomsnittslast under de senaste 1, 5 och 15 minuterna.

Följande poster visas för varje användare: inloggningsnamn, tty-namnet, fjärrvärden, inloggningstid, inaktiv tid, JCPU, PCPU och kommandoraden för deras aktuella process.

JCPU-tiden är tiden som använts av alla processer kopplade till tty:n. Det inkluderar inte tidigare bakgrundsjobb, men det inkluderar de för närvarande körande bakgrundsjobben.

PCPU-tiden är tiden som används av den aktuella processen, med namnet i ”vad”-fältet.

FLAGGOR

-c, --container
    visa behållarens uppetid istället för systemets uppetid i huvudet.

-h, --no-header
    Skriv inte ut huvudet.

-u, --no-current
    Ignorerar användarnamnet när programmet listar ut den aktuella processen och cpu-tider. För att demonstrera detta, gör su och gör w och w -u.

-s, --short
    Använd kort format. Skriv inte ut inloggningstid, JCPU- eller PCPU-tider.

-t, --terminal
    Vanligen kommer w använda antingen systemd:s sessionstabell eller utmp-filen för att lokalisera användare. I terminalläge kommer w skanna terminalenheterna och lokalisera användarsessioner på det sättet. Detta är inte ett sant värde på antalet användare, till exempel kommer en användare med två xterm:ar att dyka upp två gånger, så att antalet användare i huvudet kommer vara annorlunda. För närvarande är terminalenheter som skannas /dev/tty* och /dev/pts/*.

-f, --from
    Växla utskriften av fältet från (fjärrvärdsnamn). Standard i utgåvan är att fältet från inte visas, men din systemadministratör eller distributionsansvarige kan ha kompilerat en version i vilken fältet från visas som standard.

--help
    Visa hjälptext och avsluta.

-i, --ip-addr
    Visa IP-adresser istället för värdnamn för fältet från. Denna flagga fungerar bara på icke-systemd-plattformar eftersom libsystemde endast ger fjärrvärden.

-p, --pids
    Visa pid för inloggningsprocessen/”vad”-processen i fältet ”vad”. Inloggningsprocessen kallas även för sessionsledare.

-V, --version
    Visa versionsinformation.

-o, --old-style
    Gammaldags utmatning. Skriver mellanslag för inaktiva tider mindre än en minut.

användare
    Visa information endast om den angivna användaren.

MILJÖ

PROCPS_CONTAINER
    Om $PROCPS_CONTAINER är satt beter sig w som om flaggan --container gavs.

PROCPS_USERLEN
    Åsidosätt standardbredden på kolumnen för användarnamn. Standard är 8.

PROCPS_FROMLEN
    Åsidosätt standardbredden på kolumnen från. Standard är 16.

FILER

/var/run/utmp
    information om vem som är inloggad för närvarande, endast för icke-systemd-värdar.

/proc
    processinformation

/dev/tty* , /dev/pts/*
    Terminalenhetsfiler som skannas i läget --terminal.

FEL

När flaggan --terminal används antar w att processer med en föräldra-PID 0 eller 1 är agetty(8)-processer och kommer inte visa dem. Detta kan leda till både positiva och negativa fel.

Inaktiv tid för användare i vissa sessioner, såsom X/Wayland-sessioner, kommer vara felaktig. Flaggan --terminal kommer visa den korrekta inaktiva tiden för terminalsessioner i X/Wayland.

På plattformar som använder systemd(1) kommer flaggan --ip-addr ignoreras och från-kolumnen kommer rapportera fjärrvärden antingen som ett värdnamn eller en IP-adress.

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org. Skicka synpunkter på översättningen till

SE ÄVEN
free(1), loginctl(1), ps(1), systemd(1), top(1), uptime(1), who(1), utmp(5), agetty(8)